{% extends "base.html" %} {% load render_table from django_tables2 %} {% load static %}

{% block internal_css %}
<link rel="stylesheet" href="{% static 'css/batchUpload.css' %}">
{% endblock %}
{% block internal_js %}
<script src="{% static 'js/batchUpload.min.js' %}"></script>
{% endblock %}

{% block content %}
<h1>Batch upload validated. Confirm data and meta-data below.</h1>
<div class="batch_container">
    <div class="assay_table">
        <legend><b>Assays Added</b></legend>
        {% render_table assayTab %}
        <br>
    </div>
    <legend><b>Series Added</b> (Click on headers to expand/collapse Series or Biosamples)</legend>
    <div class="container">
        {% for seriesTab, biosamps in series %}
        <div class="card-group">
            <div class="card">
                <div class="card-heading series_table">
                    <a data-toggle="collapse" href="#collapseSR{{ forloop.counter }}">{% render_table seriesTab %}</a>
                </div>
                <div id="collapseSR{{ forloop.counter }}" class="card-collapse collapse in">
                    <ul class="list-group">
                        <li class="list-group-item">
                            {% for biosampTab, aa2seq in biosamps %}
                            <div class="card-group">
                                <div class="card">
                                    <div class="card-heading biosample_table">
                                        <a data-toggle="collapse" href="#collapseSR{{ forloop.parentloop.counter }}BS{{ forloop.counter }}">
                    {% render_table biosampTab %}</a>
                                    </div>
                                    <div id="collapseSR{{ forloop.parentloop.counter }}BS{{ forloop.counter }}" class="card-collapse collapse in">
                                        <ul class="list-group">
                                            <li class="list-group-item">
                                                <ul>
                                                    {% for aa2seqTab, dataTab in aa2seq %}
                                                    <div class="sequencing_table">
                                                        <li>{% render_table aa2seqTab %}</li>
                                                    </div>
                                                    <ul>
                                                        <div class="data_table">
                                                            <li>{% render_table dataTab %}</li>
                                                        </div>
                                                    </ul>
                                                    {% endfor %}
                                                </ul>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                {% endfor %}
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

<hr>

<legend>If the above annotation is correct, commit it to the DCC. Note that this may take a while to process.</legend>
<br>Please do not close your browser once you pressed commit until you are automatically forwarded to the next page.
<div class="form-actions">
    <button type="button" onclick="location.href='/dcc/batchUpload'" value="Cancel" class="btn btn--cancel btn-danger">Cancel</button>
    <button type="button" onclick="location.href='/dcc/commitBatch/{{ batchId }}'" value="Commit" class="btn btn--submit btn-success" data-loading-text="<i class='fas fa-circle-notch fa-spin'></i> Processing">Commit</button>
</div>

{% endblock %}
